fs newcell                 AFS Commands              fs newcell


NAME

   fs   newcell -- change   list  of  cell's  database  server

                       machines in kernel.


                                                          +
   fs newcell -name <cell name> -servers <primary servers> 
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

                                           +
   fs n -n <cell name> -s <primary servers>   [-h]

DESCRIPTION

   Removes the Cache Manager's kernel-resident list of database
   server  machines  for  the cell cell name, replacing it with
   primary servers.

   This  command  does  not  make  permanent  changes  in   the
   workstation's /afs/vice/etc/CellServDB file, the contents of
   which are transferred into the kernel at each  reboot.    In
   other  words,  rebooting  the workstation will overwrite the
   changes made with this command, unless  the  issuer  changes
   CellServDB in the same way.

   Changes  made  with  this command do appear in the output of
   fs listcells, since that command consults the in-kernel list
   rather than CellServDB.

   This  command may be used to introduce a completely new cell
   into the kernel-resident list, but it  is  not  possible  to
   make  a cell inaccessible with this command (i.e., remove it
   from the kernel-resident list by not providing any instances
   for  -server).    To do that, the user must alter CellServDB
   and reboot the machine.

WARNING

   Some commands work correctly only when both  CellServDB  and
   the  kernel-resident  list  correctly list a cell's database
   server machines.  The need  of  such  commands  for  correct
   information  in  CellServDB  precludes  use of this command.
   The klog command is a prominent example.

ARGUMENTS

   -name   is the complete Internet-style name of the cell  for
           which the in-kernel list of database server machines
           will change.  It may be the local cell or a  foreign
           cell.

   -servers
           names the database server machine(s) for the cell in
           question.     Provide  the  complete  Internet-style
           machine name for each machine.

   -help   prints the online help entry for this command.    Do



           not  provide  any other arguments or flags with this
           one.  See section 3.1 in the  Reference  Manual  for
           more details.

EXAMPLES

   The  following changes the machine's kernel-resident list of
   database server machines for the Transarc  Corporation  cell
   to include fs1.transarc.com and fs2.transarc.com.

   % fs n transarc.com fs1.transarc.com fs2.transarc.com

PRIVILEGE REQUIRED

   Issuer  must  be logged in as "root" in the UNIX file system
   of the machine on which the command is being issued.

MORE INFORMATION

   fs listcells
